## ubuntu-drivers-common 0.4.11

=== debian/changelog ===
ubuntu-drivers-common (1:0.4.11) wily; urgency=medium

  * gpu-manager.c:
    - Rely on /var/log/syslog to get information about unloaded modules.
      This should minimise the current slowdown on boot (LP: #1307069).
    - Switch from intel to modesetting as the default driver on hybrid
      intel/nvidia systems because of a regression in the intel driver
      (LP: #1507676).

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 19 Oct 2015 17:35:12 +0200

ubuntu-drivers-common (1:0.4.10) wily; urgency=medium

  * debian/tests/system: Drop the nvidia package tests; they are now tested
    through autodep8 on every kernel and dkms change, so we don't have to rely
    on this hard to maintain autopkgtest any more. Also drop most other driver
    package tests for the same reason; just keep the "fglrx" test to get a
    full end-to-end test with "ubuntu-drivers".

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 03 Sep 2015 11:27:33 +0200

ubuntu-drivers-common (1:0.4.9) wily; urgency=medium

  * tests/ubuntu_drivers.py: Reset the apt.Cache() cache between tests, as
    this is unreliable with tests that keep switching apt's root directory.
    (LP: #1487223)
  * Bump Standards-Version to 3.9.6 (no changes necessary).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 03 Sep 2015 07:47:21 +0200

ubuntu-drivers-common (1:0.4.8) wily; urgency=medium

  [ Alberto Milone ]
  * share/hybrid/gpu-manager.c, tests/gpu-manager.py:
    - Use SNA in powersaving mode for pxpress, and keep UXA
      only for performance mode (where it's required). This
      fixes a number of HWE issues (e.g. LP: #1472972).
  * Quirks/quirkreader.py:
    - Set the encoding when opening the file. This fixes a
      crash in Wily.

  [ Martin Pitt ]
  * debian/rules: Ensure that $PATH includes /sbin:/usr/sbin, as the tests
    require several programs from that (e. g. modinfo, aptd). Fixes FTBFS due
    to test failures. (LP: #1487223)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 02 Sep 2015 16:59:42 +0200

ubuntu-drivers-common (1:0.4.7) wily; urgency=medium

  * gpu-manager.c:
    - Check that we have write access to the log. If writing to
      the log fails, we show a warning, and use stdout instead.
      (LP: #1298693)

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 07 Aug 2015 10:40:23 +0200

ubuntu-drivers-common (1:0.4.6) wily; urgency=medium

  * gpu-manager.c, gpu-manager.py:
    - Use the amdconfig tool to configure multi-amd PXpress. This
      fixes a problem where the AMD control panel won't show an
      option to switch between power saving mode and performance
      mode on AMD+AMD hybrid systems (LP: #1410801).
    - The tests now reflect a more relaxed approach so that we
      do not overwrite configurations that are not supported (such
      as multiple xscreens set in the xorg.conf).

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 08 May 2015 16:42:32 +0200

=== debian/rules ===
#!/usr/bin/make -f
DEB_VERSION=$(shell dpkg-parsechangelog | grep ^Version | cut -f2 -d\ |cut -f1 -d-)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
py3sdo=set -e; $(foreach py, $(shell py3versions -r), $(py) $(1);)

%:
	dh "$@" --with python3,apport

override_dh_auto_build:
	$(call py3sdo, setup.py build)

override_dh_auto_install:
	$(call py3sdo, setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb)

override_dh_auto_test:
ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	$(call py3sdo, setup.py egg_info)
	set -e; $(foreach py, $(shell py3versions -r), PATH=$$PATH:/sbin:/usr/sbin PYTHONPATH=. $(py) -B tests/run || [ "$(DEB_HOST_ARCH)" = powerpc ];)
endif

override_dh_auto_clean:
	$(call py3sdo, setup.py clean)

override_dh_install:
	dh_install --fail-missing -Xlib/systemd

	# on architectures where we build gpu-manager, install the systemd unit
	if [ -d debian/tmp/lib/systemd ]; then \
		dh_install -p ubuntu-drivers-common lib/systemd; \
		dh_systemd_enable -p ubuntu-drivers-common; \
	fi

	# build dh_modaliases manpage
	mkdir -p debian/dh-modaliases/usr/share/man/man1
	pod2man -c Debhelper -r "$(DEB_VERSION)" debhelper/dh_modaliases debian/dh-modaliases/usr/share/man/man1/dh_modaliases.1

	# clean up old upstart conffile for hybrid-detect
	if [ ! -e debian/ubuntu-drivers-common/usr/bin/hybrid-detect ]; then \
	    echo "rm_conffile /etc/init/hybrid-gfx.conf 1:0.2.91~" > debian/ubuntu-drivers-common.maintscript; \
	fi

	# clean up upstart conffile on upgrade on architectures which do not
	# ship gpu-manager
	if [ ! -e debian/ubuntu-drivers-common/usr/bin/gpu-manager ]; then \
	    echo "rm_conffile /etc/init/gpu-manager.conf 1:0.2.91~" >> debian/ubuntu-drivers-common.maintscript; \
	fi

	# Remove fglrx-pxpress' upstart job
	echo "rm_conffile /etc/init/amd-config.conf 1:0.2.91.1~" >> debian/ubuntu-drivers-common.maintscript

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_clean:
	rm -f share/hybrid/hybrid-detect
	rm -f share/hybrid/gpu-manager
	rm -f quirksreader_test*.txt
	rm -rf build
	rm -rf *.egg-info
	rm -f debian/ubuntu-drivers-common.maintscript
	dh_clean

## ubuntu-drivers-common 0.4.17

=== debian/changelog ===
ubuntu-drivers-common (1:0.4.17) xenial; urgency=medium

  * tests/ubuntu_drivers.py: Allow test_system_driver_packages_performance()
    90s on ARM, as 30s is not enough on slow buildds.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 12 Apr 2016 11:03:37 +0200

ubuntu-drivers-common (1:0.4.16) xenial; urgency=medium

  * debian/tests/system: Drop test_fglrx() as the fglrx driver is gone.
    Test bcmwl instead.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 04 Mar 2016 11:07:02 +0100

ubuntu-drivers-common (1:0.4.15) xenial; urgency=medium

  * gpu-manager.{c|py}:
    - Add support for managing EGL alternatives.
    - Make sure to load and to unload the new nvidia-modeset module for
      prime.
  * 71-u-d-c-gpu-detection.rules, u-d-c-print-pci-ids:
    - Fix fglrx detection.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 28 Jan 2016 17:29:27 +0100

ubuntu-drivers-common (1:0.4.14) xenial; urgency=medium

  * gpu-manager.{c|py}:
    - Rely on udev for card detection. This helps detecting if a module
      was unloaded or if a card was disabled on a hybrid system.
      In addition to being more accurate (LP: #1485236), this should also
      be much faster on boot (LP: #1307069).
    - Restrict the search for built modules to the dkms directory. This
      improves performance.
  * debian/rules, setup.py, 71-u-d-c-gpu-detection.rules,
    u-d-c-print-pci-ids:
    - Provide a udev rule to detect cards and modules.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 13 Jan 2016 10:35:18 +0100

ubuntu-drivers-common (1:0.4.13) xenial; urgency=medium

  * Depend on liblocale-gettext-perl for autopkgtest, forcing it not to be
    dropped during Perl transitions (thereby breaking the fglrx test) due to
    pinning only necessary packages from -proposed.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Dec 2015 05:22:18 +0000

ubuntu-drivers-common (1:0.4.12) xenial; urgency=medium

  [ Alberto Milone ]
  * UbuntuDrivers/detect.py:
    - Make modalias matching case insensitive (LP: #1500591).

  [ Martin Pitt ]
  * debian/tests/system: Explicitly require version 1.0 of UMockdev, to avoid
    a warning on stderr.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 26 Oct 2015 11:03:09 +0100

=== debian/control ===
Source: ubuntu-drivers-common
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9),
 po-debconf,
 dh-apport,
 dh-systemd,
 python3-all (>= 3.2),
 python3-setuptools,
 libpciaccess-dev (>= 0.12.1-2),
 lib32gcc1 [amd64], libc6-i386 [amd64],
 linux-libc-dev,
 pkg-config,
 python3-xkit (>= 0.5.0),
 aptdaemon,
 python3-aptdaemon.pkcompat,
 python3-aptdaemon.test (>= 0.43+bzr810-0ubuntu2~),
 python3-gi,
 gir1.2-glib-2.0,
 gir1.2-packagekitglib-1.0,
 gir1.2-umockdev-1.0,
 umockdev,
 alsa-utils,
 apt-utils,
 dbus,
 udev,
 pciutils,
 libdrm-dev,
 python3-dbus
Standards-Version: 3.9.6
Vcs-Git: git://github.com/tseliot/ubuntu-drivers-common.git
Vcs-Browser: https://github.com/tseliot/ubuntu-drivers-common
X-Python3-Version: >= 3.2
XS-Testsuite: autopkgtest

Package: ubuntu-drivers-common
Architecture: any
Pre-Depends: dpkg (>= 1.15.7.2)
Depends: ${python3:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
 debconf (>= 0.5.00) | debconf-2.0,
 pciutils,
 python3-apt,
 python3-xkit,
 udev (>= 204-0ubuntu4~),
 pciutils,
 usbutils,
 alsa-utils,
 kmod | module-init-tools,
Suggests: python3-aptdaemon.pkcompat
Replaces: nvidia-common (<< 1:0.2.46), jockey-common, jockey-gtk, jockey-kde
Conflicts: nvidia-common (<< 1:0.2.46), jockey-common, jockey-gtk, jockey-kde
Breaks: nvidia-prime (<< 0.6)
Provides: nvidia-common, jockey-common, jockey-gtk, jockey-kde
Enhances: packagekit-system-interface
Description: Detect and install additional Ubuntu driver packages
 This package aggregates and abstracts Ubuntu specific logic and knowledge
 about third-party driver packages. It provides:
 .
  - a Python API for detecting driver packages for a particular piece of
    hardware or the whole system.
 .
  - an "ubuntu-drivers" command line tool to list or install driver packages
    (mostly for integration in installers).
 .
  - a PackageKit plugin for WhatProvides() for types MODALIAS and
    HARDWARE_DRIVER, to do the same queries as above through the PackageKit API
    (for using in non-distro specific GUIs). This works with aptdaemon's
    PackageKit compatibility layer (python3-aptdaemon.pkcompat) and with
    PackageKit's apt backend, but _not_ with the PackageKit aptcc backend.
 .
  - some NVidia specific support code to find the most appropriate driver
    version, as well as setting up the alternatives symlinks that the
    proprietary NVidia and FGLRX packages use.


Package: dh-modaliases
Architecture: all
Depends: ${perl:Depends},
 ${misc:Depends}
Enhances: debhelper
Description: debhelper extension for scanning kernel module aliases
 dh_modaliases is useful for packages that ship third-party kernel modules,
 either in binary form, or as sources (with e. g. DKMS). It extracts the
 modules' modaliases from either the compile .ko files themselves (for packages
 which ship them in compiled form, using modinfo), or from a package file
 debian/packagename.modaliases.
 .
 This enables software which is looking for missing driver packages (such as
 Jockey or the operating system installer) to identify which package(s) will
 provide a driver for a piece of hardware, identified by its modalias.
 
Package: nvidia-common
Section: oldlibs
Priority: extra
Architecture: i386 amd64 armel armhf
Depends: ubuntu-drivers-common, ${misc:Depends}
Description: transitional package for ubuntu-drivers-common
 This is a transitional package for ubuntu-drivers-common. You can remove it
 after upgrading.

Package: fglrx-pxpress
Section: oldlibs
Priority: extra
Architecture: i386 amd64
Depends: ubuntu-drivers-common, ${misc:Depends}
Description: transitional package for ubuntu-drivers-common
 This is a transitional package for ubuntu-drivers-common. You can remove it
 after upgrading.

=== debian/rules ===
--- 
+++ 
@@ -22,12 +22,15 @@
 	$(call py3sdo, setup.py clean)
 
 override_dh_install:
-	dh_install --fail-missing -Xlib/systemd
+	dh_install --fail-missing -Xlib/systemd -Xsbin -Xlib/udev
 
-	# on architectures where we build gpu-manager, install the systemd unit
+	# on architectures where we build gpu-manager, install the systemd unit,
+	# the udev rule, and the script for gpu detection
 	if [ -d debian/tmp/lib/systemd ]; then \
 		dh_install -p ubuntu-drivers-common lib/systemd; \
 		dh_systemd_enable -p ubuntu-drivers-common; \
+		dh_install -p ubuntu-drivers-common lib/udev/rules.d; \
+		dh_install -p ubuntu-drivers-common sbin; \
 	fi
 
 	# build dh_modaliases manpage

## ubuntu-drivers-common 0.4.17.2linuxmint1

=== debian/changelog ===
ubuntu-drivers-common (1:0.4.17.2linuxmint1) sarah; urgency=medium

  * Patch upstream changes up to 1:0.4.17.2

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 07 Nov 2016 19:39:41 +0000

ubuntu-drivers-common (1:0.4.17linuxmint1) sarah; urgency=medium

  * Sarah

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 02 May 2016 14:22:34 +0100

## ubuntu-drivers-common 0.4.17.3linuxmint1

=== debian/changelog ===
ubuntu-drivers-common (1:0.4.17.3linuxmint1) sylvia; urgency=medium

  * Patch upstream changes up to 1:0.4.17.3

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 04 Nov 2017 14:33:58 +0000

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 override_dh_auto_test:
 ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	$(call py3sdo, setup.py egg_info)
-	set -e; $(foreach py, $(shell py3versions -r), PATH=$$PATH:/sbin:/usr/sbin PYTHONPATH=. $(py) -B tests/run || [ "$(DEB_HOST_ARCH)" = powerpc ];)
+	#set -e; $(foreach py, $(shell py3versions -r), PATH=$$PATH:/sbin:/usr/sbin PYTHONPATH=. $(py) -B tests/run || [ "$(DEB_HOST_ARCH)" = powerpc ];)
 endif
 
 override_dh_auto_clean:

=== debian/tests/control ===
Tests: system
Depends: ubuntu-drivers-common, apport, python3-gi, gir1.2-umockdev-1.0, umockdev, libgl1-mesa-glx, linux-headers-generic | linux-headers, liblocale-gettext-perl
Restrictions: needs-root

## ubuntu-drivers-common 0.4.17.7

=== debian/changelog ===
ubuntu-drivers-common (1:0.4.17.7) xenial-security; urgency=medium

  * Drop the cpu-microcode.py detection plugin, as exposing microcode
    packages will not be necessary once kernel metapackages have a hard
    dependency on them
    - remove detect-plugins/cpu-microcode.py
    - update UbuntuDrivers/detect.py

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 30 Jan 2018 13:58:58 +0000

ubuntu-drivers-common (1:0.4.17.6) xenial-proposed; urgency=medium

  * tests/ubuntu_drivers.py:
    - Skip test_system_modaliases_system on s390x.
      Fixes FTBFS (LP: #1728547).

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 22 Jan 2018 12:48:54 +0100

ubuntu-drivers-common (1:0.4.17.5) xenial-proposed; urgency=medium

  [ Alberto Milone ]
  * gpu-manager.{c|py}:
    - Drop the amdgpu-pro code introduced in the previous upload,
      as it will be dealt with in a different upload.

  [ Alex Tu ]
  * gpu-manager.c:
    - Skip bbswitch, and make sure to unload the nvidia driver when
      the force-dgpu-on option is enabled (LP: #1728547).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 03 Jan 2018 12:33:56 +0100

ubuntu-drivers-common (1:0.4.17.4) xenial-proposed; urgency=medium

  [ Alberto Milone ]
  * gpu-manager.{c|py}:
    - Add support for forcing the dGPU on on hybrid systems.
      Creating an empty file named "force-dgpu-on"
      in the /usr/share/gpu-manager.d directory will force the dGPU
      on in power saving mode (LP: #1728547).
    - Sync amdgpu-pro support from 17.10.

  [ Kai-Heng Feng ]
  * debian/control:
    - Add build dependency on libkmod-dev.
  * gpu-manager.c:
    - Detect and handle switchable graphics with the amdgpu-pro driver.
      AMDGPU-Pro has its own script to switch between powersaving and
      performance mode (LP: #1731873).
      Some machines allow enabling switchable graphics, or disabling
      the iGPU completely, thus leaving only the dGPU on. This new code
      simply detects the different profiles supported by AMD, and
      enables powersaving mode when possible.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 30 Oct 2017 15:48:27 +0100

ubuntu-drivers-common (1:0.4.17.3) xenial-proposed; urgency=medium

  * gpu-manager.{c|py}:
    - Add support for using custom xorg.confs with the nvidia
      driver (LP: #1667198).
      Custom xorg files can be named "non-hybrid" (for non hybrid
      systems), "hybrid-performance", and "hybrid-power-saving",
      and will have to placed in the /usr/share/gpu-manager.d
      directory.
      The directory can be overridden by passing another directory
      along with the "--custom-xorg-conf-path" parameter.
    - Add tests for the custom xorg.confs code and for amdgpu-pro
      hybrid support.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 19 Jun 2017 17:27:33 +0200

ubuntu-drivers-common (1:0.4.17.2) xenial-proposed; urgency=medium

  [ Alberto Milone ]
  * gpu-manager.c:
    - Fix memory leak in get_alternatives(). Make sure to always free
      alternatives->current_core and alternatives->current_egl.
    - Partially drop the drm code, and get information about connectors
      from sysf. This fixes a long standing performance issue (LP: #1586933).
    - Disable persistence mode before powering down the dGPU.
      If persistence mode is not disabled, gpu-manager will not be able to
      unload the nvidia module (LP: #1619306).
    - Make sure to load and unload nvidia-drm. This fixes a problem that
      prevents the dGPU from being powered off in hybrid systems with
      recent nvidia drivers (LP: #1619306).

  [ Ying-Chun Liu (PaulLiu) ]
  * Quirks/quirkinfo.py:
    - Catch and ignore UnicodeDecodeErrors in dmi info, as some machines
      may report board_name as ffffffffffff0a to mean empty, and this
      causes an error in python 3 (LP: #1320868).

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 06 Jun 2016 12:49:19 +0200

ubuntu-drivers-common (1:0.4.17.1) xenial-proposed; urgency=medium

  * gpu-manager.c:
    - Pass the arguments in the correct order when getting
      the list of alternatives (LP: #1575960).
      Thanks to Rafał Cieślak for the fix.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 29 Apr 2016 12:29:03 +0200

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,8 @@
  udev,
  pciutils,
  libdrm-dev,
- python3-dbus
+ python3-dbus,
+ libkmod-dev
 Standards-Version: 3.9.6
 Vcs-Git: git://github.com/tseliot/ubuntu-drivers-common.git
 Vcs-Browser: https://github.com/tseliot/ubuntu-drivers-common

## ubuntu-drivers-common 0.4.22

=== debian/changelog ===
ubuntu-drivers-common (1:0.4.22) yakkety; urgency=medium

  * gpu-manager.c:
    - Disable persistence mode before powering down the dGPU.
      If persistence mode is not disabled, gpu-manager will not be able to
      unload the nvidia module.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 31 Aug 2016 18:09:25 +0200

ubuntu-drivers-common (1:0.4.21) yakkety; urgency=medium

  * gpu-manager.c:
    - Make sure to load and unload the new nvidia-drm module.
      This fixes a problem that prevents the dGPU from being powered off
      in hybrid systems with recent nvidia drivers.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 31 Aug 2016 11:47:13 +0200

ubuntu-drivers-common (1:0.4.20) yakkety; urgency=medium

  * Remove PackageKit plugin. This stopped working with packagekit 1.0 as its
    apt backend is gone and aptcc does not support plugins.
  * debian/control: Drop obsolete XS-Testsuite:.
  * Bump Standards-Version to 3.9.8.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 16 Aug 2016 11:46:36 +0200

ubuntu-drivers-common (1:0.4.19) yakkety; urgency=medium

  [ Alberto Milone ]
  * gpu-manager.c:
    - Fix memory leak in get_alternatives(). Make sure to always free
      alternatives->current_core and alternatives->current_egl.
    - Partially drop the drm code, and get information about connectors
      from sysf. This fixes a long standing performance issue (LP: #1586933).

  [ Ying-Chun Liu (PaulLiu) ]
  * Quirks/quirkinfo.py:
    - Catch and ignore UnicodeDecodeErrors in dmi info, as some machines
      may report board_name as ffffffffffff0a to mean empty, and this
      causes an error in python 3 (LP: #1320868).

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 30 May 2016 16:17:42 +0200

ubuntu-drivers-common (1:0.4.18) yakkety; urgency=medium

  * gpu-manager.c:
    - Pass the arguments in the correct order when getting
      the list of alternatives (LP: #1575960).
      Thanks to Rafał Cieślak for the fix.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 29 Apr 2016 12:29:03 +0200

=== debian/control ===
--- 
+++ 
@@ -14,11 +14,9 @@
  pkg-config,
  python3-xkit (>= 0.5.0),
  aptdaemon,
- python3-aptdaemon.pkcompat,
  python3-aptdaemon.test (>= 0.43+bzr810-0ubuntu2~),
  python3-gi,
  gir1.2-glib-2.0,
- gir1.2-packagekitglib-1.0,
  gir1.2-umockdev-1.0,
  umockdev,
  alsa-utils,
@@ -27,13 +25,11 @@
  udev,
  pciutils,
  libdrm-dev,
- python3-dbus,
- libkmod-dev
-Standards-Version: 3.9.6
+ python3-dbus
+Standards-Version: 3.9.8
 Vcs-Git: git://github.com/tseliot/ubuntu-drivers-common.git
 Vcs-Browser: https://github.com/tseliot/ubuntu-drivers-common
 X-Python3-Version: >= 3.2
-XS-Testsuite: autopkgtest
 
 Package: ubuntu-drivers-common
 Architecture: any
@@ -55,7 +51,6 @@
 Conflicts: nvidia-common (<< 1:0.2.46), jockey-common, jockey-gtk, jockey-kde
 Breaks: nvidia-prime (<< 0.6)
 Provides: nvidia-common, jockey-common, jockey-gtk, jockey-kde
-Enhances: packagekit-system-interface
 Description: Detect and install additional Ubuntu driver packages
  This package aggregates and abstracts Ubuntu specific logic and knowledge
  about third-party driver packages. It provides:
@@ -66,16 +61,9 @@
   - an "ubuntu-drivers" command line tool to list or install driver packages
     (mostly for integration in installers).
  .
-  - a PackageKit plugin for WhatProvides() for types MODALIAS and
-    HARDWARE_DRIVER, to do the same queries as above through the PackageKit API
-    (for using in non-distro specific GUIs). This works with aptdaemon's
-    PackageKit compatibility layer (python3-aptdaemon.pkcompat) and with
-    PackageKit's apt backend, but _not_ with the PackageKit aptcc backend.
- .
   - some NVidia specific support code to find the most appropriate driver
     version, as well as setting up the alternatives symlinks that the
     proprietary NVidia and FGLRX packages use.
-
 
 Package: dh-modaliases
 Architecture: all

## ubuntu-drivers-common 0.4.22.1

=== debian/changelog ===
ubuntu-drivers-common (1:0.4.22.1) zesty-proposed; urgency=medium

  * gpu-manager.{c|py}:
    - Add support for using custom xorg.confs with the nvidia
      driver (LP: #1667198).
      Custom xorg files can be named "non-hybrid" (for non hybrid
      systems), "hybrid-performance", and "hybrid-power-saving",
      and will have to placed in the /usr/share/gpu-manager.d
      directory.
      The directory can be overridden by passing another directory
      along with the "--custom-xorg-conf-path" parameter.
    - Add tests for the custom xorg.confs code and for amdgpu-pro
      hybrid support.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 02 Aug 2017 17:17:13 +0200

## ubuntu-drivers-common 0.4.22.2

=== debian/changelog ===
ubuntu-drivers-common (1:0.4.22.2) zesty-proposed; urgency=medium

  [ Alberto Milone ]
  * gpu-manager.{c|py}:
    - Add support for forcing the dGPU on on hybrid systems.
      Creating an empty file named "force-dgpu-on"
      in the /usr/share/gpu-manager.d directory will force the dGPU
      on in power saving mode (LP: #1728547).

  [ Kai-Heng Feng ]
  * debian/control:
    - Add build dependency on libkmod-dev.
  * gpu-manager.c:
    - Detect and handle switchable graphics with the amdgpu-pro driver.
      AMDGPU-Pro has its own script to switch between powersaving and
      performance mode (LP: #1731873).
      Some machines allow enabling switchable graphics, or disabling
      the iGPU completely, thus leaving only the dGPU on. This new code
      simply detects the different profiles supported by AMD, and
      enables powersaving mode when possible.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 30 Oct 2017 15:28:11 +0100

## ubuntu-drivers-common 0.4.23

=== debian/changelog ===
ubuntu-drivers-common (1:0.4.23) artful; urgency=medium

  [ Alberto Milone ]
  * gpu-manager.{c|py}:
    - Disable persistence mode before powering down the dGPU.
      If persistence mode is not disabled, gpu-manager will not be
      able to unload the nvidia module.
    - Add support for using custom xorg.confs with the nvidia
      driver (LP: #1667198).
      Custom xorg files can be named "non-hybrid" (for non hybrid
      systems), "hybrid-performance", and "hybrid-power-saving",
      and will have to placed in the /usr/share/gpu-manager.d
      directory.
      The directory can be overridden by passing another directory
      along with the "--custom-xorg-conf-path" parameter.
    - Add tests for the custom xorg.confs code and for amdgpu-pro
      hybrid support.
  [ Kai-Heng Feng ]
  * debian/control:
    - Add build dependency on libkmod-dev.
  * gpu-manager.c:
    - Detect and handle switchable graphics with the amdgpu-pro driver.
      AMDGPU-Pro has its own script to switch between powersaving and
      performance mode.
      Some machines allow enabling switchable graphics, or disabling
      the iGPU completely, thus leaving only the dGPU on. This new code
      simply detects the different profiles supported by AMD, and
      enables powersaving mode when possible.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 11 May 2017 11:05:40 +0200

## ubuntu-drivers-common 0.4.23.3

=== debian/changelog ===
ubuntu-drivers-common (1:0.4.23.3) artful-security; urgency=medium

  * tests/ubuntu_drivers.py:
    - Skip test_system_modaliases_system on s390x to fix FTBFS.

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 01 Feb 2018 09:39:11 +0000

ubuntu-drivers-common (1:0.4.23.2) artful-security; urgency=medium

  * Drop the cpu-microcode.py detection plugin, as exposing microcode
    packages will not be necessary once kernel metapackages have a hard
    dependency on them
    - remove detect-plugins/cpu-microcode.py
    - update UbuntuDrivers/detect.py

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 30 Jan 2018 13:54:59 +0000

ubuntu-drivers-common (1:0.4.23.1) artful-proposed; urgency=medium

  * gpu-manager.{c|py}:
    - Add support for forcing the dGPU on on hybrid systems.
      Creating an empty file named "force-dgpu-on"
      in the /usr/share/gpu-manager.d directory will force the dGPU
      on in power saving mode (LP: #1728547).

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 30 Oct 2017 10:25:02 +0100

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,8 @@
  udev,
  pciutils,
  libdrm-dev,
- python3-dbus
+ python3-dbus,
+ libkmod-dev,
 Standards-Version: 3.9.8
 Vcs-Git: git://github.com/tseliot/ubuntu-drivers-common.git
 Vcs-Browser: https://github.com/tseliot/ubuntu-drivers-common

## ubuntu-drivers-common 0.5.2

=== debian/changelog ===
ubuntu-drivers-common (1:0.5.2) bionic; urgency=medium

  * gpu-manager.c:
    - Disable CRT connectors for PRIME, as we used to
      do in 17.10. This solves a problem with phantom
      connectors on hybrid systems (LP: #1762200).

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 20 Apr 2018 17:07:28 +0200

ubuntu-drivers-common (1:0.5.1) bionic; urgency=medium

  * debian/control:
    - Build depend on dh-python.
    - Drop dh-systemd, and use debhelper (>= 9.20160709).
  * tests/ubuntu_drivers.py:
    - Raise time to 40.0 for i386 in
      test_system_driver_packages_performance().
  * NvidiaDetector/nvidiadetector.py:
    - Fix crash with new name scheme of the NVIDIA
      packages (LP: #1054458).
  * gpu-manager.(c|py):
    - Create a xorg.conf.d file for systems with PRIME.
      This way we can drop the PrimaryGpu option from
      the main NVIDIA configuration xorg.conf.d snippet,
      and generate an additional custom snippet on demand
      with that option, to avoid causing problems on systems
      with multiple NVIDIA GPUs (LP: #1756226).

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 12 Apr 2018 16:35:07 +0200

ubuntu-drivers-common (1:0.5) bionic; urgency=medium

  * gpu-manager.{c|py}:
    - Drop all the code to handle driver configuration, which
      stopped working after we moved away from alternatives.
      Only keep telling the system whether PRIME is supported
      or not (LP: #1757180).

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 22 Mar 2018 18:35:19 +0100

ubuntu-drivers-common (1:0.4.27) bionic; urgency=medium

  [ Chris Coulson ]
  * detect-plugins/cpu-microcode.py, UbuntuDrivers/detect.py:
    - Remove the cpu-microcode.py detection plugin (LP: #1738259).
      Kernel metapackages are going to have a hard dependency on the
      {intel,amd64}-microcode packages to ensure that all bare-metal installs
      benefit from microcode updates. This means that microcode packages are
      no longer "additional drivers" and since they won't be able to be removed
      without uninstalling the kernel metapackages, there is no need for them
      to be exposed by ubuntu-drivers.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 02 Feb 2018 09:38:35 +0100

ubuntu-drivers-common (1:0.4.26) bionic; urgency=medium

  * tests/gpu-manager.py:
    - It is ok that quirks are still be detected, even though bbswitch
      won't use them, as it's not being loaded. Fixes FTFS.
    - Skip test_system_modaliases_system on s390x.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 01 Feb 2018 16:22:00 +0100

ubuntu-drivers-common (1:0.4.25) bionic; urgency=medium

  [ Alex Tu ]
  * gpu-manager.c:
    - Skip bbswitch, and make sure to unload the nvidia driver when
      the force-dgpu-on option is enabled (LP: #1728547).

  [ Bryan Quigley ]
  * debian/rules,
    debian/ubuntu-drivers-common.install,
    setup.py,
    share/hybrid/gpu-manager.conf:
    - Remove the remaing upstart pieces.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 03 Jan 2018 12:51:48 +0100

ubuntu-drivers-common (1:0.4.24) bionic; urgency=medium

  * gpu-manager.{c|py}:
    - Add support for forcing the dGPU on on hybrid systems.
      Creating an empty file named "force-dgpu-on"
      in the /usr/share/gpu-manager.d directory will force the dGPU
      on in power saving mode (LP: #1728547).

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 30 Oct 2017 10:25:02 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: admin
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 9.20160709),
+ dh-python,
  po-debconf,
  dh-apport,
- dh-systemd,
  python3-all (>= 3.2),
  python3-setuptools,
  libpciaccess-dev (>= 0.12.1-2),

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 override_dh_auto_test:
 ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	$(call py3sdo, setup.py egg_info)
-	#set -e; $(foreach py, $(shell py3versions -r), PATH=$$PATH:/sbin:/usr/sbin PYTHONPATH=. $(py) -B tests/run || [ "$(DEB_HOST_ARCH)" = powerpc ];)
+	set -e; $(foreach py, $(shell py3versions -r), PATH=$$PATH:/sbin:/usr/sbin PYTHONPATH=. $(py) -B tests/run || [ "$(DEB_HOST_ARCH)" = powerpc ];)
 endif
 
 override_dh_auto_clean:
@@ -37,20 +37,6 @@
 	mkdir -p debian/dh-modaliases/usr/share/man/man1
 	pod2man -c Debhelper -r "$(DEB_VERSION)" debhelper/dh_modaliases debian/dh-modaliases/usr/share/man/man1/dh_modaliases.1
 
-	# clean up old upstart conffile for hybrid-detect
-	if [ ! -e debian/ubuntu-drivers-common/usr/bin/hybrid-detect ]; then \
-	    echo "rm_conffile /etc/init/hybrid-gfx.conf 1:0.2.91~" > debian/ubuntu-drivers-common.maintscript; \
-	fi
-
-	# clean up upstart conffile on upgrade on architectures which do not
-	# ship gpu-manager
-	if [ ! -e debian/ubuntu-drivers-common/usr/bin/gpu-manager ]; then \
-	    echo "rm_conffile /etc/init/gpu-manager.conf 1:0.2.91~" >> debian/ubuntu-drivers-common.maintscript; \
-	fi
-
-	# Remove fglrx-pxpress' upstart job
-	echo "rm_conffile /etc/init/amd-config.conf 1:0.2.91.1~" >> debian/ubuntu-drivers-common.maintscript
-
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3

## ubuntu-drivers-common 0.5.2.5

=== debian/changelog ===
ubuntu-drivers-common (1:0.5.2.5) bionic; urgency=medium

  * ubuntu-drivers:
    - Make sure that the PATH environment variable is set (LP: #1854472).

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 02 Dec 2019 10:31:00 +0100

ubuntu-drivers-common (1:0.5.2.4) bionic; urgency=medium

  [ Alberto Milone ]
  * UbuntuDrivers/detect.py,
    UbuntuDrivers/kerneldetection.py,
    tests/ubuntu_drivers.py,
    ubuntu-drivers:
    - Provide DKMS fallback for the "install --gpgpu" case
      when no linux-modules-nvidia are available for the driver
      and for a specific kernel (LP: #1843796).
      We have new tests to cover this scenario now.
    - Show provider of kernel modules in list --gpgpu
    - Fix linux metapackage detection.
      This was meant to be driven by the latest kernel version
      But it was only partially implemented.
      Complete the implementation and update the relevant tests.
    - Make sure to install the linux-modules-nvidia package for the
      kernel flavour in use, when passing the --gpgpu argument, so
      that we can deliver a working NVIDIA installation, provided
      that the EULA was accepted.

  [ Jean-Baptiste Lallement ]
  * ubuntu-drivers,
    UbuntuDrivers/detect.py,
    tests/ubuntu_drivers.py:
    - Add a --free-only parameter, so as to allow installing only the
     available free drivers. This is a backport of only the
     ubuntu-drivers-common specific part of LP: #1819207, since
     it is tied to the rest of the changes to the test suite.
    - Add support for testing against a fake archive with free and
      non-free components.
    - Add static code checker.
  * debian/control:
    - Add pycodestyle and pyflake8 to build depends.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 17 Sep 2019 16:34:56 +0200

ubuntu-drivers-common (1:0.5.2.3) bionic; urgency=medium

  * tests/ubuntu_drivers.py,
    UbuntuDrivers/detect.py,
    ubuntu-drivers:
    - Deprecate the "autoinstall" parameter in favour of
      "install". While "autoinstall" will still work,
      we recommend the latter.
    - Add support to for the --gpgpu parameter (LP: #1819729).

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 12 Mar 2019 16:31:04 +0100

ubuntu-drivers-common (1:0.5.2.2) bionic; urgency=medium

  * gpu-manager.c:
    - Improve pid detection, and restore the default pci
      power control profile in performance mode (LP: #1797147).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 10 Oct 2018 17:01:27 +0200

ubuntu-drivers-common (1:0.5.2.1) bionic; urgency=medium

  * debian/rules:
    - Make sure to remove "__pycache__" directory.
  * debian/source/options:
    - Ignore the "__pycache__" directory.
  * gpu-manager.(c|py):
    - Set automatic pci power management when the dGPU is disabled (LP: #1778011).
    - Load the nvidia modules when switching to performance mode.
    - Do not skip unbound devices.
    - Make remove_prime_outputclass() void.
    - Report failures in enable_power_management().
    - Look for blacklisted modules in /lib/modprobe.d too.
    - Report failure when the nvidia modules cannot be unloaded,
      kill the main display session created by gdm3, and try
      unloading the nvidia modules once again.
  * gpu-manager.service:
    - Start before oem-config.service (LP: #1789201).

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 02 Aug 2018 15:45:42 +0200

## ubuntu-drivers-common 0.5.5

=== debian/changelog ===
ubuntu-drivers-common (1:0.5.5) cosmic; urgency=medium

  *  gpu-manager.c:
    - Improve pid detection, and restore the default pci
      power control profile in performance mode (LP: #1778011).

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 28 Sep 2018 11:19:26 +0200

ubuntu-drivers-common (1:0.5.4) cosmic; urgency=medium

  * debian/source/options:
      - Ignore "__pycache__" dir.
  * debian/rules:
    - Make sure to remove all the "__pycache__" directories.
  * gpu-manager.c:
      - Fix potential issue introduced in commit
        6770360ed3324358d9069c7468a3af80219157ef.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 18 Sep 2018 14:38:12 +0200

ubuntu-drivers-common (1:0.5.3) cosmic; urgency=medium

  * gpu-manager.(c|py):
    - Set automatic pci power management when the dGPU is disabled (LP: #1778011).
    - Load the nvidia modules when switching to performance mode.
    - Do not skip unbound devices.
    - Make remove_prime_outputclass() void.
    - Report failures in enable_power_management().
    - Look for blacklisted modules in /lib/modprobe.d too.
    - Report failure when the nvidia modules cannot be unloaded,
      kill the main display session created by gdm3, and try
      unloading the nvidia modules once again.
  * gpu-manager.service:
    - Start before oem-config.service.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 02 Aug 2018 15:45:42 +0200

## ubuntu-drivers-common 0.6.3

=== debian/changelog ===
ubuntu-drivers-common (1:0.6.3) disco; urgency=medium

  [ Jean-Baptiste Lallement ]
  * ubuntu-drivers,
    UbuntuDrivers/detect.py,
    tests/ubuntu_drivers.py:
    - Add a --free-only parameter, so as to allow installing only the
     available free drivers (LP: #1819207).
    - Add support for testing against a fake archive with free and
      non-free components.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 18 Mar 2019 16:20:49 +0100

ubuntu-drivers-common (1:0.6.2) disco; urgency=medium

  * UbuntuDrivers/detect.py,
    tests/ubuntu_drivers.py,
    ubuntu-drivers:
    - Fix argument parsing when only one argument is passed to --gpgpu.
    - Be more strict about the allowed arguments for --gpgpu (LP: #1818748).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 06 Mar 2019 15:18:26 +0100

ubuntu-drivers-common (1:0.6.1) disco; urgency=medium

  * ubuntu-drivers,
    UbuntuDrivers/detect.py:
    - Use exit status 1 if the gpgpu driver is specified and not found,
      0 if it's not specified and not found.
    - Exclude the "autoinstall" argument from the help page, and
      remove the deprecation warning.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 05 Mar 2019 18:39:13 +0100

ubuntu-drivers-common (1:0.6) disco; urgency=medium

  * ubuntu-drivers,
    tests/ubuntu_drivers.py:
    - Deprecate the "autoinstall" argument in favour of the "install" one.
    - Use umockdev more, and test metapackages.
    - Fix up tests to honour fake sys path.
    - Allow passing --gpgpu to the list parameter. This will show the
      available gpgpgu drivers.
    - Show help screen if no mandatory argument is passed.
    - Work around bug in argparse in python 3.5.5 in xenial.
  * UbuntuDrivers/detect.py:
    - Clean up the way we access the apt cache.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 30 Jan 2019 13:05:30 +0100

ubuntu-drivers-common (1:0.5.7) disco; urgency=medium

  * share/hybrid/gpu-manager.service:
    - Do not let the output through journald (LP: #1768637).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 09 Jan 2019 17:10:36 +0100

ubuntu-drivers-common (1:0.5.6) disco; urgency=medium

  * nvidia-installer-hooks/alternate-install-available,
    nvidia-installer-hooks/pre-install,
    setup.py:
    - Rather than failing with no explanation, let the
      NVIDIA installer provide instructions on how to
      install the driver from the Ubuntu archive.
    - Stop making hooks executable, since they are only
      plain text files now.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 05 Dec 2018 17:50:26 +0100

## ubuntu-drivers-common 0.7.6

=== debian/changelog ===
ubuntu-drivers-common (1:0.7.6) eoan; urgency=medium

  [ Alberto Milone ]
  * gpu-manager.c:
    - Drop prime_is_action_on() (now that it isn't on/off any more)
      and update the description.
  * UbuntuDrivers/detect.py,
    UbuntuDrivers/kerneldetection.py,
    tests/ubuntu_drivers.py,
    ubuntu-drivers:
    - Provide DKMS fallback for the "install --gpgpu" case
      when no linux-modules-nvidia are available for the driver
      and for a specific kernel (LP: #1843796).
      We have new tests to cover this scenario now.
    - Show provider of kernel modules in list --gpgpu
    - Fix linux metapackage detection.
      This was meant to be driven by the latest kernel version
      But it was only partially implemented.
      Complete the implementation and update the relevant tests.

  [ Daniel Dadap ]
  * gpu-manager.c:
    - Enable power management in NVIDIA on-demand mode:
      The NVIDIA driver can suspend the GPU when it's being used as a
      PRIME render offload source and it isn't actively being used.
      disable_power_management() sets the NVIDIA GPU's power/control
      mode to "on", which prevents the GPU from suspending when it
      might otherwise be possible to do so.
    - Increase string storage on stack for path names. This fixes
      the warnings that gcc emits when building up path names.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 13 Sep 2019 12:38:45 +0200

ubuntu-drivers-common (1:0.7.5) eoan; urgency=medium

  [ Philip Langdale ]
  * gpu-manager.c:
    - Turn on PRIME offload when in on-demand mode.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 21 Aug 2019 16:06:34 +0200

ubuntu-drivers-common (1:0.7.4) eoan; urgency=medium

  * tests/quirkreader-test.py:
    - Fix indentation of comments.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 20 Aug 2019 19:53:11 +0200

ubuntu-drivers-common (1:0.7.3) eoan; urgency=medium

  * UbuntuDrivers/detect.py,
    tests/ubuntu_drivers.py:
    - Remove blank line, and add new line to make test_static.py happy.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 20 Aug 2019 16:22:53 +0200

ubuntu-drivers-common (1:0.7.2) eoan; urgency=medium

  * ubuntu-drivers,
    UbuntuDrivers/detect.py,
    tests/ubuntu_drivers.py:
    - Make sure to install the linux-modules-nvidia package for the
      kernel flavour in use, when passing the --gpgpu argument, so
      that we can deliver a working NVIDIA installation, provided
      that the EULA was accepted.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 20 Aug 2019 09:50:52 +0200

ubuntu-drivers-common (1:0.7.1) eoan; urgency=medium

  * debian/tests/system:
    - Do not try installing dkms packages. We already have an
      infrastructure in place to catch any such failures.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 11 Jul 2019 17:12:12 +0200

ubuntu-drivers-common (1:0.7) eoan; urgency=medium

  * gpu-manager.c:
    - Add support for the on-demand mode for PRIME.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 09 Jul 2019 16:59:37 +0200

## ubuntu-drivers-common 0.7.6.0.1

=== debian/changelog ===
ubuntu-drivers-common (1:0.7.6.0.1) eoan; urgency=medium

  * Make sure that the PATH environment variable is set (LP: #1854472).

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 29 Nov 2019 11:06:12 +0100

## ubuntu-drivers-common 0.8

=== debian/changelog ===
ubuntu-drivers-common (1:0.8) focal; urgency=medium

  [ Iain Lane ]
  * tests:
    - Rename ubuntu_drivers.py to test_ubuntu_drivers.py.
  * UbuntuDrivers/detect.py:
    - Update oem-*-meta packages after we install them.
    - Offer oem-*-meta for installation with "ubuntu-drivers install".
    - Check for 'Modaliases' first when building modalias -> package map.
  * ubuntu-drivers:
    - Add a new 'list-oem' command.
    - Add a --no-oem flag.
    - Allow installing device specific metapackages (LP: #1866035).

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 05 Mar 2020 17:06:28 +0100

ubuntu-drivers-common (1:0.7.8.1) focal; urgency=medium

  * tests/gpu-manager.py:
    - Do not test against renamed intel modules.
      We don't rename intel modules (such as i915-brw) any more.
      This fixes a test failure now that we have switched to exact
      module matching.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 20 Feb 2020 11:31:12 +0100

ubuntu-drivers-common (1:0.7.8) focal; urgency=medium

  * 71-u-d-c-gpu-detection.rules:
    - Look only for the actual nvidia module.
  * gpu-manager.c:
    - Stricter module name matching in is_module_loaded()
      (LP: #1848326).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 19 Feb 2020 13:35:12 +0100

ubuntu-drivers-common (1:0.7.7) focal; urgency=medium

  [ Alberto Milone ]
  * UbuntuDrivers/detect.py,
    UbuntuDrivers/kerneldetection.py,
    tests/ubuntu_drivers.py:
    - Rely on the linux-image metapackage to find the flavour and
      linux-modules.
      This is for cases such as linux-virtual, which depend on the
      "-generic" flavour.
    - Fix test case where the linux-modules for the ABI shouldn't have
      been available.

  [ Daniel Dadap ]
  * gpu-manager.c:
    - Add helper to remove /usr/share/X11/xorg.conf.d files.
      remove_prime_outputclass() and remove_offload_serverlayout() are
      basically the same function with different target filenames, so
      add a helper function and make both call into the new helper.
      Also give the new helper (and the original functions) a return
      type and value to inform callers of whether removal was successful.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 13 Feb 2020 12:03:24 +0100

ubuntu-drivers-common (1:0.7.6.1) focal; urgency=medium

  * Make sure that the PATH environment variable is set (LP: #1854472).

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 29 Nov 2019 11:06:12 +0100

## ubuntu-drivers-common 0.8.1

=== share/hybrid/Makefile ===
#!/usr/bin/make -f

PROGRAM = gpu-manager
PROGRAM_FILES = gpu-manager.c
CC = gcc
CFLAGS =-g -Wall $(shell pkg-config --cflags --libs pciaccess libdrm libkmod)

all: build

build:
	$(CC) -o $(PROGRAM) $(PROGRAM_FILES) $(CFLAGS)

clean:
	@rm -f $(PROGRAM)

=== debian/changelog ===
ubuntu-drivers-common (1:0.8.1) focal; urgency=medium

  [ Alberto Milone ]
  * UbuntuDrivers/detect.py,
    UbuntuDrivers/kerneldetection.py,
    tests/test_ubuntu_drivers.py,
    ubuntu-drivers:
    - Add tests for the -generic-hwe-20.04 flavour and for
      the -oem-20.04 linux flavour.
    - Add detection logic to get the linux metapackage and
      linux-modules for -hwe-20.04 (LP: #1873867).
    - List the modules provider when it is either a dkms package
      or a linux-modules package.
    - Install linux-modules packages when available.
      This makes the NVIDIA drivers work with Secure Boot.

  [ Dimitri John Ledkov ]
  * UbuntuDrivers/detect.py,
    UbuntuDrivers/kerneldetection.py:
    - Use exact matching in find_reverse_deps() with both
      installed and candidate.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 21 Apr 2020 21:14:15 +0200

=== debian/control ===
--- 
+++ 
@@ -27,6 +27,8 @@
  libdrm-dev,
  python3-dbus,
  libkmod-dev,
+ pycodestyle|pep8,
+ pyflakes3,
 Standards-Version: 3.9.8
 Vcs-Git: git://github.com/tseliot/ubuntu-drivers-common.git
 Vcs-Browser: https://github.com/tseliot/ubuntu-drivers-common

=== debian/rules ===
--- 
+++ 
@@ -47,4 +47,5 @@
 	rm -rf build
 	rm -rf *.egg-info
 	rm -f debian/ubuntu-drivers-common.maintscript
+	find $(CURDIR) -name "__pycache__" -exec rm -rf "{}" \;
 	dh_clean
